2002-02-09 Marcus Brinkmann <marcus@g10code.de>
authorMarcus Brinkmann <mb@g10code.com>
Sat, 9 Feb 2002 00:26:58 +0000 (00:26 +0000)
committerMarcus Brinkmann <mb@g10code.com>
Sat, 9 Feb 2002 00:26:58 +0000 (00:26 +0000)
* Released 0.3.1.

* configure.ac (LIBGPGME_LT_CURRENT): Bump it up to 6!
(NEED_GPGSM_VERSION): Bump it up to 0.3.0!

ChangeLog
NEWS
README
configure.ac

index b38e130..c579b2d 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,10 @@
+2002-02-09  Marcus Brinkmann  <marcus@g10code.de>
+
+       * Released 0.3.1.
+
+       * configure.ac (LIBGPGME_LT_CURRENT): Bump it up to 6!
+       (NEED_GPGSM_VERSION): Bump it up to 0.3.0!
+
 2002-01-22  Marcus Brinkmann  <marcus@g10code.de>
 
        * configure.ac (HAVE_JNLIB_LOGGING): Define always for assuan.
diff --git a/NEWS b/NEWS
index 27bcb13..d61b14d 100644 (file)
--- a/NEWS
+++ b/NEWS
@@ -1,3 +1,6 @@
+Noteworthy changes in version 0.3.1 (2002-02-09)
+------------------------------------------------
+
  * There is a Texinfo manual documenting the API.
 
  * The gpgme_set_keylist_mode function returns an error, and changed
@@ -27,6 +30,8 @@
 
  * An idle function can be registered with gpgme_register_idle().
 
+ * The GpgSM backend supports key generation with gpgme_op_genkey().
+
  * Interface changes relative to the 0.3.0 release:
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 gpgme_data_new_from_filepart   CHANGED: Type of LENGTH is size_t.
diff --git a/README b/README
index 892cbf0..2236c24 100644 (file)
--- a/README
+++ b/README
@@ -18,7 +18,7 @@ For support of the CMS (Cryptographic Message Syntax) protocol, you
 need the latest CVS version of GpgSM, module name `newpg', at
 `:pserver:anoncvs@cvs.gnupg.org:/cvs/aegypten'.
 
-You need at least GpgSM 0.0.0.
+You need at least GpgSM 0.3.0.
 
 If configure can't find the `gpgsm' binary in your path, you can
 specify the location with the --with-gpgsm=/path/to/gpgsm argument to
index b039acd..9e59370 100644 (file)
 #   (Interfaces removed:               AGE=0)
 # XXXX new functions
 AC_INIT(gpgme, 0.3.0a-cvs, [gnupg-devel@gnupg.org])
-LIBGPGME_LT_CURRENT=5
+LIBGPGME_LT_CURRENT=6
 LIBGPGME_LT_AGE=0
 LIBGPGME_LT_REVISION=0
 NEED_GPG_VERSION=1.0.6
-NEED_GPGSM_VERSION=0.0.0
+NEED_GPGSM_VERSION=0.3.0
 ##############################################
 AC_PREREQ(2.52)
 AC_REVISION($Revision$)